<template>
    <div>
        <input id="message" type="text" />
        <button v-on:click="sendMessage">Send Message</button>
    </div>
    <iframe id="myIframe" src="http://10.44.124.184:8081/#/pc_revisioni" title="myIframe"
        style="position:fixed; width:100%; height:80%; border:none; margin:0; padding:0; overflow:hidden"></iframe>
</template>
<script setup>
import { ref } from 'vue'


sendMessage("YESSS");
function sendMessage(sendValue) {
    let value = null;
    if (sendValue == '') {
        value = document.querySelector("#message").value;
    } else {
        value = sendValue
    }
    const message = { call: 'sendValue', value: value }
    const iframe = document.querySelector("#myIframe");
    iframe.contentWindow.postMessage(message, "*");
}


</script>
  
  
  
<style></style>